// =====================================================================
//  $Id: TRunShutdownCommand.cc,v 1.1.1.1 2003/06/27 02:56:41 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#include "TRunShutdownCommand.hh"
#include "TRunManager.hh"

static const Tstring _name = "/run/shutdown";
static const Tstring _desc = "terminate this session.";

TRunShutdownCommand::TRunShutdownCommand( TRunManager* manager )
  : TCommand( manager, _name, _desc )
{;}

TRunShutdownCommand::~TRunShutdownCommand()
{;}

Tvoid TRunShutdownCommand::Execute( const TstringList& arguments )
{
  theRunManager -> ShutdownRun();
  return;
}
